Subject: Re: bug#25309: 11.89.8; multi-level script fontification stacks incorrectly

From: Gennady Uraltsev <[email-masked]>
Date: Mon, 2 Jan 2017 21:49:07 +0300

Hello everyone,

I am sorry for all the problems that have arisen. I wanted to contribute
to the discussion somewhat.

1) Personally I often have double subscripts i.e. expressions of the form
$
\int_{a_i}^{a_{i+1}}
$

(I am a PhD in math)

2) LaTeX (or at least AMS) forbids expressions of the type $a_b_c$ and
$a^b^c$.

ERROR: Double subscript.

--- TeX said ---
l.106 $a_b_
           c$
--- HELP ---
There are two subscripts in a row in a mathematical
formula---something like x_{2}_{3}, which makes no sense.

The only acceptable syntax is:

$a_{b_c}$

An idea would be to never make a _ disappear if it is already
super/sub-script fontified. Also disable fontification of
sub/superscripts on any line such that there are two _ not separated by
a { and the same for ^

I am trying to implement something like it but I am no expert in elisp
so it'll take me some time.

Cheers,

Gennady

On 02/01/17 20:58, Uwe Brauer wrote:
> 
>    > Uwe Brauer <[email-masked]> writes:
>    > Hi Uwe,
> 
> 
>    > That might indicate that you are working in a field of math where there
>    > are few exponentiated expressions which are already exponentiated.  But
>    > I don't think that exponents have grown out of vogue in general. ;-)
> 
> Well I really wish to see these publications, maybe in algebra. You are
> really claiming that expressions of the sort a^b^c are frequent? I
> rather say they are not, but we better leave that topic. 
> 
>    > Come on, reverting this broken feature doesn't move us back to the
>    > middle ages.
> 
> Well that is the way I feel about it, in fact this feature was the last
> reason, among others,  to convince me to change back to GNU emacs, which
> I left at the time of  18.57.
> 
>    > "In fact, those will be displayed in a completely wrong way!" would be
>    > more correct.
> 
> Whatever.
> 
>    > Let's use this compromise: I have already removed the feature but you
>    > are free to put
> 
> 
>    > into your ~/.emacs, and then scripts will be hidden again.  (You don't
>    > need to configure `font-latex-fontify-script'.  Just let it on its
>    > default value of t for Emacs.)
> 
> Ok fair enough I can live with that :-D, I thought the feature required
> more hacking. You might receive more complains in the future, though,
> :-D
> 
> Uwe 
>